class ConferencesController < ApplicationController
  def index
    @conferences = Conference.all
  end

  def show
    @conference = Conference.find_by(slug: params[:slug])
    @sessions = @conference.sessions.where.not(starts_at: nil).includes(:stage).order(:starts_at)
    @sessions_by_date = @sessions.group_by{ |x| x.starts_at.to_date }
  end
end
