class Session < ApplicationRecord
  belongs_to :conference
  belongs_to :stage
  has_many :assignments
  has_many :users, through: :assignments

  validates :ref_id, uniqueness: { scope: :conference_id }
end
